package ru.ulstu.extractor.model;

import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.ManyToOne;
import java.util.Date;

@Entity
public class TimeSeriesValue extends BaseEntity {
    private Date date;
    private Integer value;
    @ManyToOne(fetch = FetchType.LAZY)
    private TimeSeries timeSeries;

    public TimeSeriesValue(Date date, Integer value) {
        this.date = date;
        this.value = value;
    }

    public Date getDate() {
        return date;
    }

    public Integer getValue() {
        return value;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public void setValue(Integer value) {
        this.value = value;
    }

    public TimeSeries getTimeSeriesType() {
        return timeSeries;
    }

    public void setTimeSeriesType(TimeSeries timeSeries) {
        this.timeSeries = timeSeries;
    }
}
